package com.itbz.controller;

import com.netflix.discovery.converters.Auto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cloud.client.ServiceInstance;
import org.springframework.cloud.client.discovery.DiscoveryClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.client.RestTemplate;

import java.util.*;

@RestController
@RequestMapping("/order")
public class OrderController {
    //服务发现
    @Autowired
    private DiscoveryClient discoveryClient;

    @Autowired
    private RestTemplate restTemplate;

    @GetMapping("/index")
    public Object getServices(){
//        List<String> services = discoveryClient.getServices();
//        for (String service : services) {
//            System.out.println(service);
//        }
//        return  services;

        String hostName = "CLOUD-PAYMENT-PROVIDER";
        List<ServiceInstance> instances = discoveryClient.getInstances(hostName);
        ServiceInstance serviceInstance = instances.get(0);

        System.out.println(serviceInstance.getHost());
        System.out.println(serviceInstance.getUri());
        System.out.println(serviceInstance.getPort());
        System.out.println(serviceInstance.getServiceId());

        String url = "/payment/index";

        String forObject = restTemplate.getForObject(serviceInstance.getUri() + url, String.class);
        System.out.println(forObject);
        return forObject;

    }



}

